Altimax\Apidae\Core\Entity\SitraPeriodeTarif:
    type: entity
    table: sitra_periode_tarif
    indexes:
        objet_id:
            columns:
                - objet_id
        fk_periode_tarif_element_reference_idx:
            columns:
                - tarif_type_periode_id
    id:
        id:
            type: integer
            nullable: false
            unsigned: false
            comment: ''
            id: true
            generator:
                strategy: IDENTITY
    fields:
        dateDebut:
            type: datetime
            nullable: false
            comment: ''
            column: date_debut
        dateFin:
            type: datetime
            nullable: false
            comment: ''
            column: date_fin
    oneToMany:
        tarif:
            targetEntity: Altimax\Apidae\Core\Entity\SitraTarif
            cascade: {  }
            mappedBy: periodeTarif
    manyToOne:
        objet:
            targetEntity: Altimax\Apidae\Core\Entity\SitraObjet
            cascade: [ "persist", "remove" ]
            mappedBy: null
            inversedBy: periodeTarif
            joinColumns:
                objet_id:
                    referencedColumnName: id
                    onDelete: CASCADE
            orphanRemoval: false
        tarifTypePeriode:
            targetEntity: Altimax\Apidae\Core\Entity\SitraElementReference
            cascade: {  }
            mappedBy: null
            inversedBy: null
            joinColumns:
                tarif_type_periode_id:
                    referencedColumnName: id
                    onDelete: CASCADE
            orphanRemoval: false
    lifecycleCallbacks: {  }
